Request to integrate Microsoft's new Azure Linux Agent 2.2.40

Bug #1827995 reported by Roiy Zysman on 2019-05-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
walinuxagent (Ubuntu)
Wishlist
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
This release contains both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/walinuxagentUpdates

The Microsoft Azure Linux Agent team will execute their testsuite, which
includes extension testing , against the walinuxagent that is in
-proposed. A successful run will be required before the proposed walinuxagent
can be let into -updates.

The CPC team will be in charge of attaching a summary of testing to the bug. CPC team members will not
mark ‘verification-done’ until this has happened.

[Upstream Changelog]

Here is the list of recent fixes and changes made to the Azure Linux Agent version 2.2.40
[#1489] Fixed tracking of memory/cpu usage
[#1484] Do not prevent extensions from running if setting up cgroups fails
[#1483] Enable systemd-aware deprovisioning on all versions >= 18.04
[#1419] Add systemd support for Debian Jessie, Stretch, and Buster
[#1412] Support for Linux Openwrt

Release url:
https://github.com/Azure/WALinuxAgent/releases

[Original Description]

We'd like to have the new Azure Linux Agent, version 2.2.40 integrate with the Ubuntu Images on the Azure marketplace.

CVE References

Robie Basak (racb) on 2019-05-09
Changed in walinuxagent (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
description: updated

Adding block-proposed tag to ensure this stays in eoan-proposed while we do the manual testing in cloud instances.

tags: added: block-proposed

Removing block-proposed. Patviafore confirmed that manual tests are passing.

Pat, could you please give details here?

tags: removed: block-proposed
Pat Viafore (patviafore) wrote :

Tests performed:

- Booted a VM and checked proper package version
- Checked to make sure waagent was running and that the /var/log/waagent.log was error-free
- Rebooted the VM and confirmed that waagent was still running and log was error-free
- Verified that cloud-init still worked
- Ran through azure-specific regression tests (correct disk size, correct kernel, billing tags, etc.)
- Ran through basic ubuntu regression tests ( can SSH, correct packages, snaps working, lxd working, etc.)
- Verified that our lxd start/stop regression testing passed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.40-0ubuntu1

---------------
walinuxagent (2.2.40-0ubuntu1) eoan; urgency=medium

  * New upstream release (LP: #1827995)
  * debian/patches/CVE-2019-0804.patch: dropped; included in upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Jun 2019 15:26:47 -0400

Changed in walinuxagent (Ubuntu):
status: Triaged → Fix Released

Hello Roiy, or anyone else affected,

Accepted walinuxagent into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.40-0ubuntu1~19.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in walinuxagent (Ubuntu Disco):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Roiy, or anyone else affected,

Accepted walinuxagent into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.40-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in walinuxagent (Ubuntu Cosmic):
status: New → Fix Committed
Changed in walinuxagent (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Roiy, or anyone else affected,

Accepted walinuxagent into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.40-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in walinuxagent (Ubuntu Xenial):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Roiy, or anyone else affected,

Accepted walinuxagent into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/walinuxagent/2.2.40-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Verification is confirmed to have been done on all releases affected, by the Azure team.

tags: added: verification-done-bionic verification-done-cosmic verification-done-disco verification-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.40-0ubuntu1~19.04.1

---------------
walinuxagent (2.2.40-0ubuntu1~19.04.1) disco; urgency=medium

  * New upstream release (LP: #1827995)
  * debian/patches/CVE-2019-0804.patch: dropped; included in upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Jun 2019 15:26:47 -0400

Changed in walinuxagent (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for walinuxagent has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.40-0ubuntu1~18.04.1

---------------
walinuxagent (2.2.40-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1827995)
  * debian/patches/CVE-2019-0804.patch: dropped; included in upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Jun 2019 15:26:47 -0400

Changed in walinuxagent (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package walinuxagent - 2.2.40-0ubuntu1~16.04.1

---------------
walinuxagent (2.2.40-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream release (LP: #1827995)
  * debian/patches/CVE-2019-0804.patch: dropped; included in upstream release.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Jun 2019 15:26:47 -0400

Changed in walinuxagent (Ubuntu Xenial):
status: Fix Committed → Fix Released
tags: added: id-5cd4631cb3762f2ec279ea9f
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers